<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetStatus Method (IEdmBatchUnlock2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock2 Interface : GetStatus Method (IEdmBatchUnlock2)

Visual Basic
C#
C++/CLI

lEdmUnlockStatusFlag
  Combination of EdmUnlockStatusFlag bits

Gets the specified statuses for this unlock operation.

# Syntax

Visual Basic |
--- | ---

    Function GetStatus( _
       ByVal lEdmUnlockStatusFlag As System.Integer _
    ) As System.Object

C# |
--- | ---

    System.object GetStatus(
       System.int lEdmUnlockStatusFlag
    )

C++/CLI |
--- | ---

    System.Object^ GetStatus(
    &   System.int lEdmUnlockStatusFlag
    )

#### Parameters

lEdmUnlockStatusFlag
  Combination of EdmUnlockStatusFlag bits

#### Return Value

Array of statuses

# Example

See the IEdmBatchUnlock examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock2 Interface
IEdmBatchUnlock2 Members

# Availability

SOLIDWORKS PDM Professional 2013